=== debian/changelog ===
rock-master-20.06-slam-envire (0.20200806-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-slam/slam-envire.git
  * branch: refs/heads/master
  * commit: b5f3de5b45af2941fec72dd564fb4e07ef962a35
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Wed, 16 Sep 2020 17:53:32 +0200
