=== debian/control ===
Source: rock-master-20.06-slam-envire
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libblas-dev, libbox2d-dev, libcgal-dev, libgdal-dev, libkdtree++-dev, liblapack-dev, libyaml-dev, rock-master-20.06-base-cmake, rock-master-20.06-base-logging, rock-master-20.06-base-numeric, rock-master-20.06-base-types, rock-master-20.06-external-libply, rock-master-20.06-gui-vizkit3d
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-slam-envire
Architecture: any
Depends: ${shlibs:Depends}, cmake, libblas-dev, libbox2d-dev, libcgal-dev, libgdal-dev, libkdtree++-dev, liblapack-dev, libyaml-dev, rock-master-20.06-base-cmake, rock-master-20.06-base-logging, rock-master-20.06-base-numeric, rock-master-20.06-base-types, rock-master-20.06-external-libply, rock-master-20.06-gui-vizkit3d, ruby
Description: Environment Representation Library
 This library can be used to create a data representation of an environment.
  It works on Cartesian Spaces mostly, but could be extended to topological maps.
